Author: Vincent Bernat
Subject: ensure consistent use of _XOPEN_SOURCE

See bug #748143

Index: curlftpfs-0.9.2/Makefile.am
===================================================================
--- curlftpfs-0.9.2.orig/Makefile.am
+++ curlftpfs-0.9.2/Makefile.am
@@ -5,7 +5,7 @@ DIST_SUBDIRS = $(SUBDIRS) tests
 
 LIBICONV = @LIBICONV@
 
-AM_CPPFLAGS = -DFUSE_USE_VERSION=26
+AM_CPPFLAGS = -DFUSE_USE_VERSION=26 -D_XOPEN_SOURCE=600
 AM_LDFLAGS = $(LIBICONV)
 
 bin_PROGRAMS = curlftpfs
Index: curlftpfs-0.9.2/ftpfs-ls.c
===================================================================
--- curlftpfs-0.9.2.orig/ftpfs-ls.c
+++ curlftpfs-0.9.2/ftpfs-ls.c
@@ -6,12 +6,6 @@
     See the file COPYING.
 */
 
-#ifndef __FreeBSD__
-#define _XOPEN_SOURCE 600
-#else
-#define _XOPEN_SOURCE
-#endif
-
 #include <time.h>
 #include <string.h>
 #include <sys/types.h>
Index: curlftpfs-0.9.2/tests/Makefile.am
===================================================================
--- curlftpfs-0.9.2.orig/tests/Makefile.am
+++ curlftpfs-0.9.2/tests/Makefile.am
@@ -2,7 +2,7 @@ EXTRA_DIST = run_tests.sh
 
 noinst_PROGRAMS = ftpfs-ls_unittest
 
-AM_CPPFLAGS = -DFUSE_USE_VERSION=25
+AM_CPPFLAGS = -DFUSE_USE_VERSION=25 -D_XOPEN_SOURCE=600
 
 ftpfs_ls_unittest_SOURCES = ftpfs-ls_unittest.c
 if FUSE_OPT_COMPAT
Index: curlftpfs-0.9.2/tests/ftpfs-ls_unittest.c
===================================================================
--- curlftpfs-0.9.2.orig/tests/ftpfs-ls_unittest.c
+++ curlftpfs-0.9.2/tests/ftpfs-ls_unittest.c
@@ -6,7 +6,6 @@
     See the file COPYING.
 */
 
-#define _XOPEN_SOURCE 600  /* glibc2 needs this */
 #include <time.h>                                                        
 #include <stdlib.h>
 #include <stdio.h>
